from module import Module

class Heuristic(Module):

    # -------------------------------------------------------------------------
    def __init__(self):
        pass


    # -------------------------------------------------------------------------
    def init(self, env_msg):
        pass


    # -------------------------------------------------------------------------
    def update(self, agt_msg, env_msg):
        pass


    # -------------------------------------------------------------------------
    def get_action_values(self, state, actions):
        action_values = {'up': 100,
                         'right': 100,
                         'down': -100,
                         'left': -100}

        return action_values


    # -------------------------------------------------------------------------
    def print_gw_map(self):
        pass


    # -------------------------------------------------------------------------
